%define name 		kdirstat
%define Name 		KDirStat
%define version 	2.4.4
%define release 	%mkrel 1
%define summary	        %{Name} is a graphical disk usage utility, very much like the Unix du command

Summary:                %{summary}
Name:      	 	%{name}
Version:   	 	%{version}
Release:   		%{release}
URL:	    		http://kdirstat.sourceforge.net/
Source:    		%{name}-%{version}.tar.bz2
License:   		GPL
Group:     		File tools
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:		kdelibs-devel

%description
%{Name} is a graphical disk usage utility, very much like the
Unix du command. In addition to that, it comes with some cleanup 
facilities to reclaim disk space.

%prep
%setup -q

%build
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 "
./configure --prefix=%{_prefix} --disable-rpath --libdir=%{_libdir}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# make DESTDIR=$RPM_BUILD_ROOT install

# menu
install -D -m 644 kdirstat/hi16-app-kdirstat.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 kdirstat/hi32-app-kdirstat.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 kdirstat/hi32-app-kdirstat.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}"\
	needs="X11"\
	icon="%{name}.png"\
	section="Applications/File tools"\
	title="%{Name}"\
	longtitle="%{Name}"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog TODO INSTALL README
%{_bindir}/kdirstat
%{_datadir}/apps/kdirstat
%{_datadir}/applnk/*/kdirstat*
%{_datadir}/doc/HTML/*/kdirstat/
%{_datadir}/icons/??color/??x??/*/kdirstat*
%{_datadir}/apps/kconf_update/fix_move_to_trash_bin.pl
%{_datadir}/apps/kconf_update/kdirstat.upd
%_menudir/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.4-1mdk
- 2.4.4
- %%mkrel

* Thu Feb 3 2005 Tigrux <tigrux@ximian.com> 2.4.3-1mdk
- New release

* Sat Jul 10 2004 Michael Scherer <misc@mandrake.org> 2.4.0-2mdk
- rebuild for new gcc ( patch #0 ) 
- clean Buildrequires
- various fix in spec

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.0-1mdk
- 2.4.0
 
* Tue May 27 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.3.7-1mdk
- 2.3.7 (~10*faster according to author)
- Do menus in install (so it short-circuits)

* Thu Apr 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.3.6-2mdk
- add real changlog
- use %%find_lang
- add %%defattr
- cleanup

* Wed Apr 09 2003 Sir Pingus <pingus77@ifrance.com> 2.3.6-1mdk
- first release
